<ion-tabs (ionTabsWillChange)="onTabChange($event)">
  <div [class.keyboard-open]="isKeyboardOpen" class="tab-bar-container">
    <div [class.keyboard-open]="isKeyboardOpen" class="left-tab-bar"></div>
    <div [class.keyboard-open]="isKeyboardOpen" class="center-tab-bar"></div>
    <div [class.keyboard-open]="isKeyboardOpen" class="right-tab-bar"></div>
  </div>
  <div
    [class.keyboard-open]="isKeyboardOpen"
    class="safe-area-background"
  ></div>

  <ion-tab-bar
    [attr.aria-label]="'tabs.main_navigation' | transloco"
    [class.keyboard-open]="isKeyboardOpen"
    role="navigation"
    slot="bottom"
  >
    <ion-tab-button
      (click)="onTabClicked(tabType.forYou)"
      [tab]="tabType.forYou"
      mode="ios"
      role="tab"
      [attr.data-cy]="'tab-for-you-button'"
    >
      <lib-general-icon
        [size]="iconFontSize.large"
        [type]="iconType.materialIconsOutlined"
        name="auto_awesome"
      ></lib-general-icon>
      <p>{{ 'tabs.for_you.title' | transloco }}</p>
    </ion-tab-button>

    <ion-tab-button
      (click)="onTabClicked(tabType.search)"
      [tab]="tabType.search"
      mode="ios"
      role="tab"
      [attr.data-cy]="'tab-search-button'"
    >
      <lib-general-icon
        [size]="iconFontSize.large"
        [type]="iconType.materialIconsOutlined"
        name="search"
      ></lib-general-icon>
      <p>{{ 'tabs.search.title' | transloco }}</p>
    </ion-tab-button>

    <ion-tab-button
      (click)="onTabClicked(tabType.map)"
      [tab]="tabType.map"
      mode="ios"
      role="tab"
      [attr.data-cy]="'tab-map-button'"
    >
      <lib-general-icon
        [size]="iconFontSize.large"
        [type]="iconType.materialIconsOutlined"
        name="map"
      ></lib-general-icon>
      <p>{{ 'tabs.map.title' | transloco }}</p>
    </ion-tab-button>

    <ion-tab-button
      (click)="onTabClicked(tabType.categories)"
      [tab]="tabType.categories"
      mode="ios"
      role="tab"
      [attr.data-cy]="'tab-categories-button'"
    >
      <lib-general-icon
        [size]="iconFontSize.large"
        [type]="iconType.materialIconsOutlined"
        name="menu"
      ></lib-general-icon>
      <p>{{ 'tabs.categories.title' | transloco }}</p>
    </ion-tab-button>
  </ion-tab-bar>
</ion-tabs>
